# AIEventVehicleWaitingInDepot Class Reference

Event VehicleWaitingInDepot, indicating a vehicle has arrived a depot and is now waiting there. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventVehicleWaitingInDepot:

## Public Member Functions
| AIEventVehicleWaitingInDepot (VehicleID vehicle_id)
VehicleID | GetVehicleID ()
| Get the VehicleID of the vehicle that is waiting in a depot.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventVehicleWaitingInDepot * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
VehicleID | vehicle_id

## Detailed Description

Event VehicleWaitingInDepot, indicating a vehicle has arrived a depot and is now waiting there.

Definition at line 521 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventVehicleWaitingInDepot::AIEventVehicleWaitingInDepot | ( | VehicleID | vehicle_id | ) | `[inline]`

Parameters:

  | vehicle_id | The vehicle that is waiting in a depot.

Definition at line 528 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventVehicleWaitingInDepot* AIEventVehicleWaitingInDepot::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 538 of file ai_event_types.hpp.

VehicleID AIEventVehicleWaitingInDepot::GetVehicleID | ( |  | ) | `[inline]`

Get the VehicleID of the vehicle that is waiting in a depot.

Returns:
  The VehicleID of the vehicle that is waiting in a depot.

Definition at line 544 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp